{
  "name": "node-id3",
  "version": "0.0.7",
  "description": "Pure JavaScript ID3 Tag writer",
  "author": {
    "name": "Jan Metzger",
    "email": "jan.metzger@gmx.net"
  },
  "main": "index.js",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/Zazama/node-id3.git"
  },
  "bugs": {
    "url": "https://github.com/Zazama/node-id3/issues"
  },
  "keywords": [
    "id3",
    "mp3",
    "tags",
    "music"
  ],
  "licenses": [
    {
      "type": "MIT",
      "url": "https://github.com/Zazama/node-id3/raw/master/LICENSE"
    }
  ],
  "homepage": "https://github.com/Zazama/node-id3#readme",
  "directories": {
    "example": "example"
  },
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "license": "MIT",
  "readme": "# node-id3\r\n\r\nnode-id3 is a ID3-Tag library written in JavaScript without other dependencies.\r\n\r\n#### Right now, there's only write, remove and partial read support (only ID3v2)\r\n\r\n#### Please update to +v0.0.6 for better image tagging.\r\n\r\n## Example:\r\n\r\n```\r\nvar nodeID3 = require('node-id3');\r\n\r\n//tags.image is the path to the image (only png/jpeg files allowed)\r\nvar tags = {\r\n  title: \"Soshite Bokura wa\",\r\n  artist: \"Ray\",\r\n  album: \"Nagi no Asukara\",\r\n  composer: \"Nakazawa Tomoyuki\",\r\n  image: \"./example/image.jpeg\"\r\n}\r\n\r\nnodeID3.removeTags(\"./example/music.mp3\")\r\n\r\n//Pass tags and filepath\r\nvar success = nodeID3.write(tags, \"./example/music.mp3\");\r\n\r\n//returns true if written correctly\r\nconsole.log(success);\r\n\r\n//Pass filepath/buffer\r\nvar read = nodeID3.read(\"./example/music.mp3\");\r\n\r\n//returns tags\r\nconsole.log(read);\r\n```\r\n\r\n###Write ID3v2-Tags\r\n```\r\n//Pass tags and filepath\r\nvar success = nodeID3.write(tags, \"./example/music.mp3\");\r\n//returns true if written correctly\r\nconsole.log(success);\r\n```\r\n\r\n###Read ID3v2-Tags (currently no support for images)\r\n```\r\n//Pass filepath/buffer\r\nvar read = nodeID3.read(\"./example/music.mp3\");\r\n//returns tags\r\nconsole.log(read);\r\n```\r\n\r\n###Remove ID3v2-Tags\r\n```\r\nnodeID3.removeTags(\"./example/music.mp3\");  //Pass the path to the mp3 file\r\n```\r\n\r\n###Supported tag keys (only pass strings)\r\n```\r\nimage:\r\nalbum:\r\nbpm:\r\ncomposer:\r\ngenre:\r\ncopyright:\r\ndate:\r\nplaylistDelay:\r\nencodedBy:\r\ntextWriter:\r\nfileType:\r\ntime:\r\ncontentGroup:\r\ntitle:\r\nsubtitle:\r\ninitialKey:\r\nlanguage:\r\nlength:\r\nmediaType:\r\noriginalTitle:\r\noriginalFilename:\r\noriginalTextwriter:\r\noriginalArtist:\r\noriginalYear:\r\nfileOwner:\r\nartist:\r\nperformerInfo:\r\nconductor:\r\nremixArtist:\r\npartOfSet:\r\npublisher:\r\ntrackNumber:\r\nrecordingDates:\r\ninternetRadioName:\r\ninternetRadioOwner:\r\nsize:\r\nISRC:\r\nencodingTechnology:\r\nyear:\r\n```",
  "readmeFilename": "README.md",
  "_id": "node-id3@0.0.7",
  "_shasum": "9c257c101820a201dac24de813a0e13675837928",
  "_from": "node-id3@0.0.7",
  "_resolved": "https://registry.npmjs.org/node-id3/-/node-id3-0.0.7.tgz"
}
